Subject: Re: [ANNOUNCE] Virtual Contributor's Summit 2024

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 12 Apr 2024 07:27:28 +0200

On Thu, Apr 11, 2024 at 05:37:52PM +0200, Scott Chacon wrote:
> Heya,
> 
> I was about to come in and say roughly the same thing. GitButler /
> myself personally would be happy to help organize an in-person,
> recorded talks Git Merge style shindig in the fall. I'm also happy to
> help with some of the core team / speakers with travel costs if
> needed.
> 
> I helped organize the first Git Merge in 2013 in Berlin [1] and would
> love to do the same thing again this year (my my, have 10 years gone
> by since then?)
> 
> If everyone would prefer Chicago again, then I'm happy to just attend
> and help out however I can. If we think it might be nice to bring it
> back to Europe this year, I would love to take care of it.
> 
> What does everyone think?

Given that I am based in Berlin myself I would certainly be happy to
see a summit in Europe once again. I would be glad to help out with
organizing things.

Patrick

> Scott
> 
> [1]: https://marc.info/?l=git&m=135896927120693&w=2
> 
> On Thu, Apr 11, 2024 at 5:18 PM John Cai <[email-masked]> wrote:
> >
> > Hi everyone,
> >
> > I'm grateful for the chance to gather virtually like this, and for Taylor's
> > willingness to host these each time!
> >
> > I also wanted to throw out the possibility of an __in person__ Git contributor's
> > summit in the Fall!
> >
> > GitLab might be able to host this, which would be an awesome chance to get together
> > in person like we did in Chicago a couple of years ago. That was a valuable time
> > to talk about cool topics, but an invaluable chance to get to connect with each
> > other personally.
> >
> > It will likely be a two day conference in October of 2024. Location is TBD, and
> > depends on the level of interest and location of those interested. Requirements
> > for attendance will be the same as for the Virtual Contributor's Summit.
> >
> > We wanted to first gather interest before determining more details. Please fill
> > out this form to express your interest: https://forms.gle/hTcsYM4fomEqaKU59
> >
> > Feel free to also email me off list with any questions
> >
> > Thanks!
> > John
> >
> > On 10 Apr 2024, at 17:14, Taylor Blau wrote:
> >
> > > Hi everybody,
> > >
> > > I've been thinking that it would be a good time to gather informally via
> > > another Virtual Contributor's Summit.
> > >
> > > I had been waiting to see whether GitHub was going to host a Git Merge
> > > event in person this year, but it looks like the answer to that is
> > > "probably not" (though I am hopeful for next year[^1]).
> > >
> > > In lieu of meeting in person, I think it might make sense to meet
> > > sometime in either this upcoming May or June (though we could extend
> > > further depending on folks' availability) in the same style/format as
> > > our last Summit [2], the details were as follows:
> > >
> > >   - We'll host the Contributor's Summit on either Zoom or any other
> > >     conferencing platform that works for folks. (I spoke with Emily
> > >     Shaffer off-list and they mentioned that some Google folks were
> > >     interested in Discord for a few reasons, so we could do that, too).
> > >
> > >   - The schedule/duration is not fixed, and there are options to vote on
> > >     preferred days, length, and timezones in the form(s) below. Last
> > >     year we did two four-hour days, so we could do that again (or
> > >     anything else that works better).
> > >
> > >   - Like last time, in order to participate, you must be either (a) an
> > >     active Git contributor, (b) planning on contributing soon, or (c)
> > >     working on a Git-related project that has interest in Git's
> > >     internals. If you aren't sure whether or not you are welcome, please
> > >     ask!
> > >
> > > Participants should fill out the following forms:
> > >
> > >   - https://forms.gle/VVrJ7RbHVxurxZH99 (participants)
> > >   - https://forms.gle/iGnfexF4hDuK6MQe9 (topics)
> > >   - https://www.when2meet.com/?24557185-cHKWv (When2meet)
> > >
> > > New this year is the When2meet, since this seems like a more efficient
> > > way to collect which dates are open for folks within the next couple of
> > > months.
> > >
> > > The participants and topics lists are being recorded in the
> > > spreadsheet below, and this is also the place to record your vote(s)
> > > on topic selection.
> > >
> > >   https://bit.ly/git-contributors-summit-2024
> > >
> > > Please feel free to send any feedback or suggestions you have for this
> > > year's Contributor's Summit to me on- or off-list. Like last year, my
> > > hope is to have a small, remote-friendly, diverse, and efficient
> > > discussion.
> > >
> > > As we get closer to the date, we'll finalize the schedule, make sure
> > > we have volunteers to take notes, etc.
> > >
> > > I'm looking forward to seeing everybody (virtually) soon :-).
> > >
> > > Thanks,
> > > Taylor
> > >
> > > [^1]: Coinciding with the project's 20th anniversary!
> > > [2]: https://lore.kernel.org/git/[email-masked]/
> >
>